/*
 * Written by Dawid Kurzyniec and released to the public domain, as explained
 * at http://creativecommons.org/licenses/publicdomain
 */

package edu.emory.mathcs.util.collections;

import java.util.*;

/**
 * @deprecated use WeakValueHashMap
 *
 * @author Dawid Kurzyniec
 * @version 1.0
 */
public class VolatileHashMap extends WeakValueHashMap {

    public VolatileHashMap(int initialCapacity, float loadFactor) {
        super(initialCapacity, loadFactor);
    }

    public VolatileHashMap(int initialCapacity) {
        super(initialCapacity);
    }

    public VolatileHashMap() {
        super();
    }

    public VolatileHashMap(Map t) {
        super (t);
    }
}
